---
title: "danog\\AsyncOrm\\Serializer: Serializer interface."
description: ""

---
# `danog\AsyncOrm\Serializer`
[Back to index](../../index.md)

> Author: Daniil Gentili <daniil@daniil.it>  
> Author: Alexander Pankratov <alexander@i-c-a.su>  
  

Serializer interface.  




## Method list:
* [`serialize(TValue $value): mixed`](#serialize)
* [`deserialize(mixed $value): TValue`](#deserialize)

## Methods:
### <a name="serialize"></a> `serialize(TValue $value): mixed`




Parameters:

* `$value`: `TValue`   


#### See also: 
* `TValue`




### <a name="deserialize"></a> `deserialize(mixed $value): TValue`




Parameters:

* `$value`: `mixed`   


#### See also: 
* `TValue`




---
Generated by [danog/phpdoc](https://phpdoc.daniil.it)
